Identify the calling key
GET
/me
const url = 'https://app.whatsetter.com/api/v1/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.whatsetter.com/api/v1/me \ --header 'Authorization: Bearer <token>'Returns the workspace and scopes of the API key. Use it to test your integration.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Key identity
Media typeapplication/json
object
data
object
team_id
string
key
object
id
string
name
string
scopes
Array<string>
Examplegenerated
{ "data": { "team_id": "example", "key": { "id": "example", "name": "example", "scopes": [ "example" ] } }}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
